<?php
$devitems_post_title_output = "Post Title";
$devitems_post_category_output = "Post Category";
$devitems_post_tag_output = "Post Tag";
$devitems_post_publish_output = "Publish Post";
$devitems_post_image_output = "Set Featured Image";
?>

<form name="new_frontend_post" method="post" action="" enctype="multipart/form-data">
  <div class="form-group">
    <label><?php echo esc_html( $devitems_post_title_output ); ?></label>
    <input name="devitems_post_title" type="text" class="form-control" placeholder="Enter Title Here" required>
  </div>
  <?php wp_editor('','devitems_post_description' );?><br>
  <label><?php echo esc_html( $devitems_post_category_output ); ?></label><br>
  <?php wp_dropdown_categories( 'tab_index=10&taxonomy=category&hide_empty=0' ); ?><br><br>
  <label><?php echo esc_html( $devitems_post_tag_output ); ?></label><br>
  <?php wp_dropdown_categories(array('taxonomy'=> 'post_tag','hide_empty' => 0, 'name' => 'my_tags')); ?>
  <br><br>
  <label><?php echo esc_html( $devitems_post_image_output ); ?></label><br>
  <input type="file" multiple="multiple" name="thumbnail"  class="thumbnail" accept="image/*"><br><br>
  <button type="submit" class="btn btn-default"><?php echo esc_html( $devitems_post_publish_output ); ?></button>
</form>